Index: BOOK/temp-system/alpha/gcc.xml
===================================================================
--- BOOK/temp-system/alpha/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/alpha/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips/gcc.xml
===================================================================
--- BOOK/temp-system/mips/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips/grep.xml
===================================================================
--- BOOK/temp-system/mips/grep.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips/grep.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/grep.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/grep.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/grep.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips/make.xml
===================================================================
--- BOOK/temp-system/mips/make.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips/make.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/make.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/make.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/make.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips64-64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64-64/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips64-64/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips64-64/grep.xml
===================================================================
--- BOOK/temp-system/mips64-64/grep.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips64-64/grep.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/grep.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/grep.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/grep.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips64-64/make.xml
===================================================================
--- BOOK/temp-system/mips64-64/make.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips64-64/make.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/make.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/make.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/make.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips64/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips64/grep.xml
===================================================================
--- BOOK/temp-system/mips64/grep.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips64/grep.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/grep.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/grep.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/grep.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/mips64/make.xml
===================================================================
--- BOOK/temp-system/mips64/make.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/mips64/make.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/make.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/make.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/make.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/ppc/gcc.xml
===================================================================
--- BOOK/temp-system/ppc/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/ppc/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/ppc/patch.xml
===================================================================
--- BOOK/temp-system/ppc/patch.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/ppc/patch.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/patch.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/patch.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/patch.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/sparc/binutils.xml
===================================================================
--- BOOK/temp-system/sparc/binutils.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/sparc/binutils.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/binutils.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/binutils.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/binutils.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/sparc/gcc.xml
===================================================================
--- BOOK/temp-system/sparc/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/sparc/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/sparc64-64/binutils.xml
===================================================================
--- BOOK/temp-system/sparc64-64/binutils.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/sparc64-64/binutils.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/binutils.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/binutils.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/binutils.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/sparc64-64/gcc.xml
===================================================================
--- BOOK/temp-system/sparc64-64/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/sparc64-64/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/sparc64/binutils.xml
===================================================================
--- BOOK/temp-system/sparc64/binutils.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/sparc64/binutils.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/binutils.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/binutils.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/binutils.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/sparc64/gcc.xml
===================================================================
--- BOOK/temp-system/sparc64/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/sparc64/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/x86/gcc.xml
===================================================================
--- BOOK/temp-system/x86/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/x86/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/x86_64-64/gcc.xml
===================================================================
--- BOOK/temp-system/x86_64-64/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/x86_64-64/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: BOOK/temp-system/x86_64/gcc.xml
===================================================================
--- BOOK/temp-system/x86_64/gcc.xml	(revision d772cfe0b4c40324b12a9db00596614ed77d5015)
+++ BOOK/temp-system/x86_64/gcc.xml	(revision 64b1923ba73ba0fdbe0dcec0bdab898425470602)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">