Index: BOOK/cross-tools/64/eglibc.xml
===================================================================
--- BOOK/cross-tools/64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -60,5 +60,5 @@
       --host=${CLFS_TARGET} --build=${CLFS_HOST} \
       --disable-profile --enable-add-ons \
-      --with-tls --enable-kernel=2.6.0 --with-__thread \
+      --with-tls --enable-kernel=2.6.32 --with-__thread \
       --with-binutils=/cross-tools/bin --with-headers=/tools/include \
       --cache-file=config.cache</userinput></screen>
Index: BOOK/cross-tools/alpha/eglibc-headers.xml
===================================================================
--- BOOK/cross-tools/alpha/eglibc-headers.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/alpha/eglibc-headers.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -61,5 +61,5 @@
 <screen os="s3"><userinput>CC=gcc ../eglibc-&eglibc-version;/configure --prefix=/tools \
    --host=${CLFS_TARGET} --build=${CLFS_HOST} \
-   --disable-sanity-checks --enable-kernel=2.6.0 \
+   --disable-sanity-checks --enable-kernel=2.6.32 \
    --with-headers=/tools/include --cache-file=config.cache \
    --with-binutils=/cross-tools/${CLFS_TARGET}/bin</userinput></screen>
@@ -113,8 +113,8 @@
 
        <varlistentry os="ca6">
-            <term><parameter>--enable-kernel=2.6.0</parameter></term>
+            <term><parameter>--enable-kernel=2.6.32</parameter></term>
             <listitem>
                <para>This tells EGLIBC to compile the library with support
-               for 2.6.x Linux kernels.</para>
+               for 2.6.32 and later Linux kernels.</para>
             </listitem>
        </varlistentry>
Index: BOOK/cross-tools/common/eglibc.xml
===================================================================
--- BOOK/cross-tools/common/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/common/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -59,5 +59,5 @@
     --host=${CLFS_TARGET} --build=${CLFS_HOST} \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
@@ -122,8 +122,8 @@
 
       <varlistentry os="dg8">
-        <term><parameter>--enable-kernel=2.6.0</parameter></term>
+        <term><parameter>--enable-kernel=2.6.32</parameter></term>
         <listitem>
           <para>This tells EGLIBC to compile the library with support
-          for 2.6.x Linux kernels.</para>
+          for 2.6.32 and later Linux kernels.</para>
         </listitem>
       </varlistentry>
Index: BOOK/cross-tools/mips64/eglibc-n32.xml
===================================================================
--- BOOK/cross-tools/mips64/eglibc-n32.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/mips64/eglibc-n32.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -81,5 +81,5 @@
     --host=${CLFS_TARGET} --build=${CLFS_HOST} --libdir=/tools/lib32 \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/cross-tools/multilib/eglibc-64bit.xml
===================================================================
--- BOOK/cross-tools/multilib/eglibc-64bit.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/multilib/eglibc-64bit.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -65,5 +65,5 @@
     --host=${CLFS_TARGET} --build=${CLFS_HOST} --libdir=/tools/lib64 \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/cross-tools/multilib/eglibc.xml
===================================================================
--- BOOK/cross-tools/multilib/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/multilib/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -60,5 +60,5 @@
     --host=${CLFS_TARGET32} --build=${CLFS_HOST} \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/cross-tools/sparc64/eglibc.xml
===================================================================
--- BOOK/cross-tools/sparc64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/sparc64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -60,5 +60,5 @@
     --host=${CLFS_TARGET32} --build=${CLFS_HOST} \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/cross-tools/x86/eglibc.xml
===================================================================
--- BOOK/cross-tools/x86/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/x86/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -61,5 +61,5 @@
     --host=${CLFS_TARGET} --build=${CLFS_HOST} \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/cross-tools/x86_64/eglibc.xml
===================================================================
--- BOOK/cross-tools/x86_64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/cross-tools/x86_64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -61,5 +61,5 @@
     --host=${CLFS_TARGET32} --build=${CLFS_HOST} \
     --disable-profile --enable-add-ons \
-    --with-tls --enable-kernel=2.6.0 --with-__thread \
+    --with-tls --enable-kernel=2.6.32 --with-__thread \
     --with-binutils=/cross-tools/bin --with-headers=/tools/include \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/final-system/common/eglibc.xml
===================================================================
--- BOOK/final-system/common/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/common/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -79,5 +79,5 @@
 
 <screen os="h"><userinput>../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc</userinput></screen>
 
Index: BOOK/final-system/mips64/eglibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/eglibc-n32.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/mips64/eglibc-n32.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -86,5 +86,5 @@
 <screen os="h"><userinput>CC="gcc ${BUILDN32}" CXX="g++ ${BUILDN32}" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib32/eglibc --libdir=/usr/lib32</userinput></screen>
 
Index: BOOK/final-system/multilib/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/eglibc-64bit.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/multilib/eglibc-64bit.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -70,5 +70,5 @@
 <screen os="h"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib64/glibc --libdir=/usr/lib64</userinput></screen>
 
Index: BOOK/final-system/multilib/eglibc.xml
===================================================================
--- BOOK/final-system/multilib/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/multilib/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -73,5 +73,5 @@
 <screen os="h"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc --host=${CLFS_TARGET32}</userinput></screen>
 
Index: BOOK/final-system/ppc64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/eglibc-64bit.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/ppc64/eglibc-64bit.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -69,5 +69,5 @@
 <screen os="h"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib64/eglibc --libdir=/usr/lib64</userinput></screen>
 
Index: BOOK/final-system/ppc64/eglibc.xml
===================================================================
--- BOOK/final-system/ppc64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/ppc64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -93,5 +93,5 @@
 <screen os="h"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc --host=${CLFS_TARGET32}</userinput></screen>
 
Index: BOOK/final-system/sparc64-64/eglibc.xml
===================================================================
--- BOOK/final-system/sparc64-64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/sparc64-64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -83,5 +83,5 @@
 
 <screen os="h"><userinput>CC="gcc ${BUILD64}" ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc --libdir=/usr/lib \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/final-system/sparc64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/sparc64/eglibc-64bit.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/sparc64/eglibc-64bit.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -77,5 +77,5 @@
 <screen os="h"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib64/eglibc --libdir=/usr/lib64 \
     --cache-file=config.cache</userinput></screen>
Index: BOOK/final-system/x86/eglibc.xml
===================================================================
--- BOOK/final-system/x86/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/x86/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -68,5 +68,5 @@
 <screen os="h"><userinput>CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; $MACHTYPE) \
     -mtune=generic -g -O2" ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc</userinput></screen>
 
Index: BOOK/final-system/x86_64-64/eglibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/x86_64-64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -73,5 +73,5 @@
 <screen os="h"><userinput>CFLAGS="-mtune=generic -g -O2" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc --libdir=/usr/lib</userinput></screen>
 
Index: BOOK/final-system/x86_64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/eglibc-64bit.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/x86_64/eglibc-64bit.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -73,5 +73,5 @@
     CFLAGS="-mtune=generic -g -O2" \
     ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib64/eglibc --libdir=/usr/lib64</userinput></screen>
 
Index: BOOK/final-system/x86_64/eglibc.xml
===================================================================
--- BOOK/final-system/x86_64/eglibc.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/final-system/x86_64/eglibc.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -78,5 +78,5 @@
     CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; ${CLFS_TARGET32}) \
     -mtune=generic -g -O2" ../eglibc-&eglibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/eglibc --host=${CLFS_TARGET32}</userinput></screen>
 
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/general.ent	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -3,5 +3,5 @@
 <!ENTITY month "08"> <!-- Use two digits -->
 <!ENTITY month_name "August">
-<!ENTITY day "29"> <!-- Use two digits -->
+<!ENTITY day "30"> <!-- Use two digits -->
 <!ENTITY year "2012"> <!-- Use four digits -->
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/introduction/common/changelog.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -36,9 +36,24 @@
     </listitem>
 -->
-      <listitem>
+     <listitem>
+      <para>August 30, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[William Harrington] - Update host system requirements. Linux kernel version in book 2.6.32 or greater.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+ 
+    <listitem>
       <para>August 29, 2012</para>
       <itemizedlist>
         <listitem>
           <para>[William Harrington] - Edit cross-tools PPL configuration line.</para>
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Update linux kernel host system requirement to 2.6.32.</para>
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Update eglibc instructions and update eglibc text for 2.6.32 kernel support.</para>
         </listitem>
       </itemizedlist>
Index: BOOK/prologue/common/hostreqs.xml
===================================================================
--- BOOK/prologue/common/hostreqs.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/prologue/common/hostreqs.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -77,5 +77,5 @@
 
    <listitem>
-     <para><emphasis role="strong">Linux 2.6.22</emphasis></para>
+     <para><emphasis role="strong">Linux 2.6.32 (Built with GCC 4.1.2 or later)</emphasis></para>
    </listitem>
 
Index: BOOK/temp-system/common/choose.xml
===================================================================
--- BOOK/temp-system/common/choose.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/temp-system/common/choose.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -34,13 +34,12 @@
   method.</para>
 
-  <para>To chroot, you will also need a Linux Kernel-2.6.x (having been
-  compiled with GCC-3.0 or greater). The reason for the kernel version
-  requirement is that, without it, thread-local storage support in Binutils
-  will not be built and the Native POSIX Threading Library (NPTL) test suite
-  will segfault.</para>
+  <para>To chroot, you will also need a Linux Kernel-2.6.32 or greater
+  (having been compiled with GCC-4.1.2 or greater). The reason for the
+  kernel version requirement is that eglibc is built to generate the library
+  for the smallest version of the Linux kernel expected to be supported.</para>
 
   <para>To check your kernel version, run <command>cat /proc/version</command>
-  - if it does not say that you are running a 2.6.2 or later Linux kernel,
-  compiled with GCC 3.0 or later, you cannot chroot.</para>
+  - if it does not say that you are running a 2.6.32 or later Linux kernel,
+  compiled with GCC 4.1.2 or later, you cannot chroot.</para>
 
   <para os="e">For the boot method, follow <xref linkend="chapter-boot"/>.</para>
Index: BOOK/temp-system/mips64/choose.xml
===================================================================
--- BOOK/temp-system/mips64/choose.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/temp-system/mips64/choose.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -32,4 +32,8 @@
     xpointer="xpointer(//*[@os='d'])"/>
 
+  <para>To chroot, you will also need a Linux Kernel-2.6.32 or greater (having been compiled with GCC-4.1.2 or greater). The reason for the kernel version requirement is that eglibc is built to generate the library for the smallest version of the Linux kernel expected to be supported.</para>
+
+  <para>To check your kernel version, run <command>cat /proc/version</command> - if it does not say that you are running a 2.6.32 or later Linux kernel, compiled with GCC 4.1.2 or later, you cannot chroot.</para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/choose.xml"
Index: BOOK/temp-system/multilib/choose.xml
===================================================================
--- BOOK/temp-system/multilib/choose.xml	(revision 10d3d46302e9e0f8dad80695264c5a57a28cca0b)
+++ BOOK/temp-system/multilib/choose.xml	(revision 65ab9ce089022a25a7df01af7b73a556a7dc531e)
@@ -30,4 +30,12 @@
   method.</para>
 
+  <para>To chroot, you will also need a Linux Kernel-2.6.32 or greater
+  (having been compiled with GCC-4.1.2 or greater). The reason for the
+  kernel version requirement is that eglibc is built to generate the library
+  for the smallest version of the Linux kernel expected to be supported.</para>
+
+  <para>To check your kernel version, run <command>cat /proc/version</command>
+  - if it does not say that you are running a 2.6.32 or later Linux kernel,
+  compiled with GCC 4.1.2 or later, you cannot chroot.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"