Index: BOOK/cross-tools/alpha-chapter.xml
===================================================================
--- BOOK/cross-tools/alpha-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/alpha-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="alpha/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/common/m4.xml
===================================================================
--- BOOK/cross-tools/common/m4.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
+++ BOOK/cross-tools/common/m4.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-m4" role="wrap">
+  <?dbhtml filename="m4.html"?>
+
+  <title>M4-&m4-version;</title>
+
+  <indexterm zone="ch-cross-tools-m4">
+    <primary sortas="a-M4">M4</primary>
+    <secondary>temporary system</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../../final-system/common/m4.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of M4</title>
+
+    <para os="a">Prepare M4 for compilation:</para>
+
+<screen os="b"><userinput>./configure --prefix=/cross-tools</userinput></screen>
+
+    <para os="c">Compile the package:</para>
+
+<screen os="d"><userinput>make</userinput></screen>
+
+    <para os="e">Install the package:</para>
+
+<screen os="f"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-m4" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/cross-tools/mips-chapter.xml
===================================================================
--- BOOK/cross-tools/mips-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/mips-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/mips64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/mips64-64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/mips64-64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/mips64-chapter.xml
===================================================================
--- BOOK/cross-tools/mips64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/mips64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/ppc-chapter.xml
===================================================================
--- BOOK/cross-tools/ppc-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/ppc-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/ppc64-chapter.xml
===================================================================
--- BOOK/cross-tools/ppc64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/ppc64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/sparc-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/sparc-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/sparc64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc64-64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/sparc64-64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/sparc64-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/sparc64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/x86-chapter.xml
===================================================================
--- BOOK/cross-tools/x86-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/x86-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/x86_64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/x86_64-64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/x86_64-64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/cross-tools/x86_64-chapter.xml
===================================================================
--- BOOK/cross-tools/x86_64-chapter.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/cross-tools/x86_64-chapter.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gmp.xml"/>
Index: BOOK/final-system/common/kbd.xml
===================================================================
--- BOOK/final-system/common/kbd.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/final-system/common/kbd.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -49,5 +49,5 @@
     stages of booting, those binaries need to be on the root partition:</para>
 
-<screen os="i"><userinput>mv -v /usr/bin/{kbd_mode,dumpkeys,loadkeys,openvt,setfont} /bin</userinput></screen>
+<screen os="i"><userinput>mv -v /usr/bin/{kbd_mode,dumpkeys,loadkeys,openvt,setfont, setvtrgb} /bin</userinput></screen>
 
   </sect2>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/introduction/common/changelog.xml	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -40,4 +40,14 @@
       <para>May 19, 2011</para>
       <itemizedlist>
+        <listitem>
+          <para>[Jonathan] - Updated Bison to 2.5.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] - Added M4 to cross-tools to avoid strstr issue
+        with Bison 2.5.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] - Moved Kbd's setvtrgb from /usr/bin to /bin.</para>
+        </listitem>
         <listitem>
           <para>[Jonathan] - Updated package contents for Kdb.</para>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 411eb70ab69aa2e5405693c065f9dca17f385b1f)
+++ BOOK/packages.ent	(revision 66a06a619ee6c9401c7e02757817251c1553e1ab)
@@ -43,8 +43,8 @@
 <!ENTITY binutils-home "http://sources.redhat.com/binutils">
 
-<!ENTITY bison-version "2.4.3">
-<!ENTITY bison-size "1,616 KB">
+<!ENTITY bison-version "2.5">
+<!ENTITY bison-size "2,030 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.bz2">
-<!ENTITY bison-md5 "c1d3ea81bc370dbd43b6f0b2cd21287e">
+<!ENTITY bison-md5 "9dba20116b13fc61a0846b0058fbe004">
 <!ENTITY bison-home "&gnu-software;bison">
 