Index: BOOK/final-system/common/m4.xml
===================================================================
--- BOOK/final-system/common/m4.xml	(revision eaafb59db48b2d6670b73b132f49483125cb4855)
+++ BOOK/final-system/common/m4.xml	(revision 68d33badc2c08b136ffa2168b9abd7cffe22255c)
@@ -24,4 +24,9 @@
   <sect2 role="installation">
     <title>Installation of M4</title>
+
+    <para os="s1">Add a missing include statement into one of the source files
+    with the following command:</para>
+
+<screen os="s2"><userinput>sed -i '/"m4.h"/i\#include &lt;sys/stat.h&gt;' src/path.c</userinput></screen>
 
     <para os="a">Prepare M4 for compilation:</para>
Index: BOOK/final-system/multilib/m4.xml
===================================================================
--- BOOK/final-system/multilib/m4.xml	(revision eaafb59db48b2d6670b73b132f49483125cb4855)
+++ BOOK/final-system/multilib/m4.xml	(revision 68d33badc2c08b136ffa2168b9abd7cffe22255c)
@@ -22,7 +22,11 @@
     <title>Installation of M4</title>
 
-   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/m4.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/m4.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
 
 <screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr</userinput></screen>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision eaafb59db48b2d6670b73b132f49483125cb4855)
+++ BOOK/introduction/common/changelog.xml	(revision 68d33badc2c08b136ffa2168b9abd7cffe22255c)
@@ -40,4 +40,7 @@
       <para>July 26, 2010</para>
       <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated M4 to 1.4.14.</para>
+        </listitem>
         <listitem>
           <para>[jciccone] - Updated Gzip to 1.4.</para>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision eaafb59db48b2d6670b73b132f49483125cb4855)
+++ BOOK/packages.ent	(revision 68d33badc2c08b136ffa2168b9abd7cffe22255c)
@@ -267,8 +267,8 @@
 <!ENTITY linux-home "http://www.kernel.org">
 
-<!ENTITY m4-version "1.4.13">
-<!ENTITY m4-size "984 KB">
+<!ENTITY m4-version "1.4.14">
+<!ENTITY m4-size "1,100 KB">
 <!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.bz2">
-<!ENTITY m4-md5 "28f9ccd3ac4da45409251008b911d677">
+<!ENTITY m4-md5 "e6fb7d08d50d87e796069cff12a52a93">
 <!ENTITY m4-home "&gnu-software;m4">
 
Index: BOOK/temp-system/common/m4.xml
===================================================================
--- BOOK/temp-system/common/m4.xml	(revision eaafb59db48b2d6670b73b132f49483125cb4855)
+++ BOOK/temp-system/common/m4.xml	(revision 68d33badc2c08b136ffa2168b9abd7cffe22255c)
@@ -37,8 +37,17 @@
 EOF</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/m4.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+<screen os="s2"><userinput>cp src/path.c{,.orig}
+sed -e '/"m4.h"/i\#include &lt;sys/stat.h&gt;' \
+    src/path.c.orig > src/path.c</userinput></screen>
+
     <para os="a">Prepare M4 for compilation:</para>
 
 <screen os="b"><userinput>./configure --prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} --cache-file=config.cache</userinput></screen>
+    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
+    --cache-file=config.cache</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/temp-system/multilib/m4.xml
===================================================================
--- BOOK/temp-system/multilib/m4.xml	(revision eaafb59db48b2d6670b73b132f49483125cb4855)
+++ BOOK/temp-system/multilib/m4.xml	(revision 68d33badc2c08b136ffa2168b9abd7cffe22255c)
@@ -33,8 +33,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/m4.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/m4.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/m4.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-   --build=${CLFS_HOST} --host=${CLFS_TARGET} --cache-file=config.cache</userinput></screen>
+    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
+    --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"