Index: BOOK/final-system/common/bash.xml
===================================================================
--- BOOK/final-system/common/bash.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/final-system/common/bash.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -1,134 +1,100 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE c:package [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 ]>
 
-<sect1 id="ch-system-bash" role="wrap">
-  <?dbhtml filename="bash.html"?>
+<c:package xmlns:c="http://schema.cross-lfs.org/book" id="ch-system-bash" c:multibuild="false">
 
-  <title>Bash-&bash-version;</title>
+  <c:title>Bash</c:title>
+  <c:version>&bash-version;</c:version>
+  <c:description>The Bash package contains the Bourne-Again SHell.</c:description>
 
-  <indexterm zone="ch-system-bash">
-    <primary sortas="a-Bash">Bash</primary>
-  </indexterm>
+  <c:install>
 
-  <sect2 role="package">
-    <title/>
+    <c:para>The following patch contains updates from the maintainer. The
+    maintainer of Bash only releases these patches to fix serious issues:</c:para>
 
-    <para>The Bash package contains the Bourne-Again SHell.</para>
+<c:command>patch -Np1 -i ../&bash-branch_update-patch;</c:command>
 
-  </sect2>
+    <c:para c:multilib="true">The following sed points configure towards the
+    correct library directory while searching for Readline:</c:para>
 
-  <sect2 role="installation">
-    <title>Installation of Bash</title>
+<c:command c:multilib="true">sed -i "/ac_cv_rl_libdir/s@/lib@&amp;64@" configure</c:command>
 
-    <para os="p1">The following patch contains updates from the maintainer. The
-    maintainer of Bash only releases these patches to fix serious issues:</para>
+    <c:para>Prepare Bash for compilation:</c:para>
 
-<screen os="p2"><userinput>patch -Np1 -i ../&bash-branch_update-patch;</userinput></screen>
+<c:command c:multilib="false">./configure --prefix=/usr --bindir=/bin \
+    --without-bash-malloc --with-installed-readline</c:command>
+<c:command c:multilib="true">CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
+    ./configure --prefix=/usr --bindir=/bin \
+    --without-bash-malloc --with-installed-readline</c:command>
 
-    <para os="a">Prepare Bash for compilation:</para>
-
-<screen os="b"><userinput>./configure --prefix=/usr --bindir=/bin \
-    --without-bash-malloc --with-installed-readline</userinput></screen>
-
-    <variablelist os="c">
+<!--
+    <variablelist>
       <title>The meaning of the configure option:</title>
 
       <varlistentry>
-        <term><parameter>--with-installed-readline</parameter></term>
+        <term><parameter>-with-installed-readline</parameter></term>
         <listitem>
-          <para>This option tells Bash to use the
+          <c:para>This option tells Bash to use the
           <filename class="libraryfile">readline</filename> library that is
           already installed on the system rather than using its own readline
-          version.</para>
+          version.</c:para>
         </listitem>
       </varlistentry>
     </variablelist>
+-->
+    <c:para>Compile the package:</c:para>
 
-    <para os="d">Compile the package:</para>
+<c:command>make</c:command>
 
-<screen os="e"><userinput>make</userinput></screen>
+    <c:para>To test the results, issue:
+    <c:command>make tests</c:command>.</c:para>
 
-    <para os="f">To test the results, issue:
-    <userinput>make tests</userinput>.</para>
+    <c:para>Install the package:</c:para>
 
-    <para os="g">Install the package:</para>
+<c:command>make htmldir=/usr/share/doc/bash-&bash-version; install</c:command>
 
-<screen os="h"><userinput>make htmldir=/usr/share/doc/bash-&bash-version; install</userinput></screen>
+    <c:para>Run the newly compiled <c:command>bash</c:command> program (replacing
+    the one that is currently being executed):</c:para>
 
-    <para os="i">Run the newly compiled <command>bash</command> program (replacing
-    the one that is currently being executed):</para>
+<c:command c:nodump="true">exec /bin/bash --login +h</c:command>
 
-<screen os="j" role="nodump"><userinput>exec /bin/bash --login +h</userinput></screen>
+    <c:note>
+      <c:para>The parameters used make the <c:command>bash</c:command>
+      process an interactive login shell and continue to disable hashing so
+      that new programs are found as they become available.</c:para>
+    </c:note>
 
-    <note os="k">
-      <para>The parameters used make the <command>bash</command>
-      process an interactive login shell and continue to disable hashing so
-      that new programs are found as they become available.</para>
-    </note>
+  </c:install>
 
-  </sect2>
+  <c:contents>
 
-  <sect2 id="contents-bash" role="content">
-    <title>Contents of Bash</title>
+    <c:program>
+      <c:name>bash</c:name>
+      <c:description>A widely-used command interpreter; it performs many types
+      of expansions and substitutions on a given command line before executing
+      it, thus making this interpreter a powerful tool</c:description>
+    </c:program>
 
-    <segmentedlist>
-      <segtitle>Installed programs</segtitle>
-      <segtitle>Installed directory</segtitle>
+    <c:program>
+      <c:name>bashbug</c:name>
+      <c:description>A shell script to help the user compose and mail standard
+      formatted bug reports concerning <c:command>bash</c:command>
+      </c:description>
+    </c:program>
 
-      <seglistitem>
-        <seg>bash, bashbug, and sh (link to bash)</seg>
-        <seg>/usr/share/doc/bash-&bash-version;</seg>
-      </seglistitem>
-    </segmentedlist>
+    <c:program>
+      <c:name>sh</c:name>
+      <c:description>A symlink to the <c:command>bash</c:command> program; when
+      invoked as <c:command>sh</c:command>, <c:command>bash</c:command> tries
+      to mimic the startup behavior of historical versions of
+      <c:command>sh</c:command> as closely as possible, while conforming to the
+      POSIX standard as well</c:description>
+    </c:program>
 
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
+  </c:contents>
 
-      <varlistentry id="bash">
-        <term><command>bash</command></term>
-        <listitem>
-          <para>A widely-used command interpreter; it performs many types of
-          expansions and substitutions on a given command line before executing
-          it, thus making this interpreter a powerful tool</para>
-          <indexterm zone="ch-system-bash bash">
-            <primary sortas="b-bash">bash</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
+</c:package>
 
-      <varlistentry id="bashbug">
-        <term><command>bashbug</command></term>
-        <listitem>
-          <para>A shell script to help the user compose and mail standard
-          formatted bug reports concerning <command>bash</command></para>
-          <indexterm zone="ch-system-bash bashbug">
-            <primary sortas="b-bashbug">bashbug</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="sh">
-        <term><command>sh</command></term>
-        <listitem>
-          <para>A symlink to the <command>bash</command> program; when invoked
-          as <command>sh</command>, <command>bash</command> tries to mimic the
-          startup behavior of historical versions of <command>sh</command> as
-          closely as possible, while conforming to the POSIX standard as
-          well</para>
-          <indexterm zone="ch-system-bash sh">
-            <primary sortas="b-sh">sh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/final-system/mips64-chapter.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -78,5 +78,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/autoconf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/automake.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bash.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2-n32.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -62,5 +62,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/autoconf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/automake.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bash.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2-64bit.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -62,5 +62,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/autoconf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/automake.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bash.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2-64bit.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -62,5 +62,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/autoconf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/automake.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bash.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/bzip2-64bit.xml"/>
Index: BOOK/schema/clfs/0.1/rng/clfs.rnc
===================================================================
--- BOOK/schema/clfs/0.1/rng/clfs.rnc	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/schema/clfs/0.1/rng/clfs.rnc	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -116,4 +116,5 @@
 clfs.sect.package = 
   element c:package {
+    attribute xml:base { text }?,
     attribute id { text },
     clfs.attrib.arch,
Index: BOOK/schema/clfs/0.1/rng/clfs.rng
===================================================================
--- BOOK/schema/clfs/0.1/rng/clfs.rng	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/schema/clfs/0.1/rng/clfs.rng	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -192,4 +192,7 @@
   <define name="clfs.sect.package">
     <element name="c:package">
+      <optional>
+        <attribute name="xml:base"/>
+      </optional>
       <attribute name="id"/>
       <ref name="clfs.attrib.arch"/>
Index: BOOK/temp-system/common/bash.xml
===================================================================
--- BOOK/temp-system/common/bash.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/temp-system/common/bash.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -15,12 +15,12 @@
     <secondary>temporary system</secondary>
   </indexterm>
-
+<!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
   href="../../final-system/common/bash.xml"
   xpointer="xpointer(//*[@role='package'])"/>
-
+-->
   <sect2 role="installation">
     <title>Installation of Bash</title>
-
+<!--
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../final-system/common/bash.xml"
@@ -30,5 +30,5 @@
     href="../../final-system/common/bash.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
-
+-->
     <para os="t1">When Bash is cross-compiled, it cannot test for the presence
     of named pipes, among other things. If you used <command>su</command> to
@@ -53,9 +53,9 @@
 gt_cv_int_divbyzero_sigfpe=yes
 EOF</userinput></screen>
-
+<!--
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../final-system/common/bash.xml"
     xpointer="xpointer(//*[@os='a'])"/>
-
+-->
 <screen os="b"><userinput>./configure --prefix=/tools \
     --build=${CLFS_HOST} --host=${CLFS_TARGET} \
@@ -76,5 +76,5 @@
 
     </variablelist>
-
+<!--
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../final-system/common/bash.xml"
@@ -88,5 +88,5 @@
     href="../../final-system/common/bash.xml"
     xpointer="xpointer(//*[@os='g'])"/>
-
+-->
 <screen os="h"><userinput>make install</userinput></screen>
 
@@ -97,12 +97,12 @@
 
   </sect2>
-
+<!--
   <sect2 role="content">
     <title/>
 
     <para>Details on this package are located in <xref
-    linkend="contents-bash" role="."/></para>
+    linkend="ch-system-bash-contents" role="."/></para>
 
   </sect2>
-
+-->
 </sect1>
Index: BOOK/temp-system/multilib/bash.xml
===================================================================
--- BOOK/temp-system/multilib/bash.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/temp-system/multilib/bash.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -15,12 +15,12 @@
     <secondary>temporary system</secondary>
   </indexterm>
-
+<!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
   href="../../final-system/common/bash.xml"
   xpointer="xpointer(//*[@role='package'])"/>
-
+-->
   <sect2 role="installation">
     <title>Installation of Bash</title>
-
+<!--
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/bash.xml"
@@ -42,10 +42,10 @@
     href="../common/bash.xml"
     xpointer="xpointer(//*[@os='a'])"/>
-
+-->
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools \
    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
    --without-bash-malloc --cache-file=config.cache</userinput></screen>
-
+<!--
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/bash.xml"
@@ -75,7 +75,7 @@
     href="../common/bash.xml"
     xpointer="xpointer(//*[@os='t4'])"/>
-
+-->
   </sect2>
-
+<!--
   <sect2 role="content">
     <title/>
@@ -85,4 +85,4 @@
 
   </sect2>
-
+-->
 </sect1>
Index: OK/testpart.xml
===================================================================
--- BOOK/testpart.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ 	(revision )
@@ -1,128 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE part PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "general.ent">
-  %general-entities;
-]>
-
-  <part id="part0" xmlns:c="http://schema.cross-lfs.org/book">
-    <?dbhtml filename="part0.html"?>
-    <title>Test Part</title>
-
-    <chapter>
-      <?dbhtml dir="chapter0"?>
-      <?dbhtml filename="chapter0.html"?>
-      <title>Chapter 0</title>
-
-      <sect1>
-        <?dbhtml filename="sect0.html"?>
-        <title>Sect 0</title>
-        <para>Testing... 1.. 2.. 3..</para>
-      </sect1>
-
-<c:package id="ch-system-bash2" c:multibuild="false">
-  <c:title>Bash</c:title>
-  <c:version>4.0.1</c:version>
-  <c:description>The Bash package contains the Bourne-Again SHell.</c:description>
-
-  <c:install>
-
-    <c:para>Apply this patch</c:para>
-
-<c:command>patch -Np1 -i ../&bash-branch_update-patch;</c:command>
-
-    <c:para>Prepare the package for compilation</c:para>
-
-<c:command>./configure -prefix=/usr -bindir=/bin \
-    -without-bash-malloc -with-installed-readline</c:command>
-
-    <c:para>Compile the package:</c:para>
-
-<c:command>make</c:command>
-
-    <c:para>To test the results, issue:
-    <c:command>make tests</c:command>.</c:para>
-
-    <c:para>Install the package:</c:para>
-<c:command>make htmldir=/usr/share/doc/bash-&bash-version; install</c:command>
-
-    <c:para>Run the newly compiled <c:command>bash</c:command> program (replacing
-    the one that is currently being executed):</c:para>
-
-<c:command c:nodump="true">exec /bin/bash -login +h</c:command>
-
-    <c:note>
-      <c:para>(note+warn) The parameters used make the <c:command>bash</c:command>
-      process an interactive login shell and continue to disable hashing so
-      that new programs are found as they become available.</c:para>
-    </c:note>
-
-  </c:install>
-
-  <c:contents>
-
-    <c:program>
-      <c:name>test2</c:name>
-      <c:description>This is the test program.</c:description>
-    </c:program>
-
-    <c:library>
-      <c:name>libjoe</c:name>
-      <c:description>This is a bullshit library for a <c:command>test</c:command>.</c:description>
-    </c:library>
-
-    <c:directory>
-      <c:name>/usr/blah</c:name>
-      <c:description>Some Crap</c:description>
-    </c:directory>
-    <c:directory>
-      <c:name>/usr/blah2</c:name>
-      <c:description>Some Crap2</c:description>
-    </c:directory>
-    <c:directory>
-      <c:name>/usr/blah3</c:name>
-      <c:description>Some Crap2</c:description>
-    </c:directory>
-    <c:directory>
-      <c:name>/usr/blah4</c:name>
-      <c:description>Some Crap2</c:description>
-    </c:directory>
-
-  </c:contents>
-
-</c:package>
-
-<c:package id="ch-system-test" c:multibuild="true">
-  <c:title>TestPackage</c:title>
-  <c:version>1.2.3</c:version>
-  <c:description>The Test package contains a <c:command>test</c:command>.</c:description>
-
-  <c:install>
-
-    <c:para>Prepare the package for compilation</c:para>
-
-<c:command c:multilib="false">./configure --prefix=/usr</c:command>
-<c:command c:multilib="true" c:bits="32">CC="gcc ${BUILD32}" ./configure --prefix=/usr</c:command>
-<c:command c:multilib="true" c:bits="n32">CC="gcc ${BUILDN32}" ./configure --prefix=/usr</c:command>
-<c:command c:multilib="true" c:bits="64">CC="gcc ${BUILD64}" ./configure --prefix=/usr</c:command>
-
-    <c:para>Compile <c:filename>the</c:filename> package:</c:para>
-
-<c:command>make</c:command>
-
-    <c:para>To test the results, issue:
-    <c:command>make tests</c:command>.</c:para>
-
-    <c:para>Install the package:</c:para>
-
-<c:command>make install</c:command>
-
-  </c:install>
-
-  <c:contents c:ref="ch-system-bash2" />
-
-</c:package>
-
-    </chapter>
-
-  </part>
Index: BOOK/x86-index.xml
===================================================================
--- BOOK/x86-index.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/x86-index.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -9,5 +9,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="prologue/x86/bookinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="testpart.xml"/>
   <!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="prologue/dedication.xml"/>
Index: BOOK/x86_64-index.xml
===================================================================
--- BOOK/x86_64-index.xml	(revision b0b1a3c1b3400095b69b60780022b4c9dac2bd95)
+++ BOOK/x86_64-index.xml	(revision 69fa5e6b525bc9edb1de06af31f3e6f14fe4180a)
@@ -9,5 +9,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="prologue/x86_64/bookinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="testpart.xml"/>
   <!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="prologue/dedication.xml"/>