Index: boot/alpha-chapter.xml
===================================================================
--- boot/alpha-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/alpha-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -27,4 +27,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/common/udev-rules.xml
===================================================================
--- boot/common/udev-rules.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
+++ boot/common/udev-rules.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-boot-udev-rules" role="wrap">
+  <?dbhtml filename="udev-rules.html"?>
+
+  <title>Udev Rules-&udev-cross-lfs-version;</title>
+
+  <indexterm zone="ch-boot-udev-rules">
+    <primary sortas="a-Udev Rules">Udev Rules</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Udev Cross-LFS rules package contains the necessary
+    rules set for a basic functional system.</para>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>Bash, Coreutils, Make, Sed, and Udev.</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Udev-Rules</title>
+
+    <para>When you installed udev, it installed a set of rules, this package 
+    replaces these rules. So we must first remove all the old rules sets.</para>
+
+<screen><userinput>rm -vf /etc/udev/rules.d/*</userinput></screen>
+
+    <para>Install the package:</para>
+
+<screen><userinput>make DESTDIR=${LFS} install</userinput></screen>
+
+  </sect2>
+<!--
+  <sect2 role="content">
+    <title/>
+
+  <para>Details on this package are located in <xref
+  linkend="contents-udev-rules" role="."/></para>
+
+  </sect2>
+-->
+</sect1>
+
Index: boot/mips-chapter.xml
===================================================================
--- boot/mips-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/mips-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -28,4 +28,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/mips64-64-chapter.xml
===================================================================
--- boot/mips64-64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/mips64-64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/mips64-chapter.xml
===================================================================
--- boot/mips64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/mips64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/ppc-chapter.xml
===================================================================
--- boot/ppc-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/ppc-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -27,4 +27,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/ppc64-chapter.xml
===================================================================
--- boot/ppc64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/ppc64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -26,4 +26,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/sparc-chapter.xml
===================================================================
--- boot/sparc-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/sparc-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -28,4 +28,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/sparc64-64-chapter.xml
===================================================================
--- boot/sparc64-64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/sparc64-64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/sparc64-chapter.xml
===================================================================
--- boot/sparc64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/sparc64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/x86-chapter.xml
===================================================================
--- boot/x86-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/x86-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -27,4 +27,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/x86_64-64-chapter.xml
===================================================================
--- boot/x86_64-64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/x86_64-64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: boot/x86_64-chapter.xml
===================================================================
--- boot/x86_64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ boot/x86_64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -28,4 +28,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
Index: bootscripts/alpha-chapter.xml
===================================================================
--- bootscripts/alpha-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/alpha-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/common/udev-rules.xml
===================================================================
--- bootscripts/common/udev-rules.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
+++ bootscripts/common/udev-rules.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -0,0 +1,203 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-scripts-udev-rules" role="wrap">
+  <?dbhtml filename="udev-rules.html"?>
+
+  <title>Udev Rules-&udev-cross-lfs-version;</title>
+
+  <indexterm zone="ch-scripts-udev-rules">
+    <primary sortas="a-Udev Rules">Udev Rules</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Udev Cross-LFS rules package contains the necessary
+    rules set for a basic functional system.</para>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>Bash, Coreutils, Make, Sed, and Udev.</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Udev-Rules</title>
+
+    <para>When you installed udev, it installed a set of rules, this package 
+    replaces these rules. So we must first remove all the old rules sets.</para>
+
+<screen><userinput>rm -vf /etc/udev/rules.d/*</userinput></screen>
+
+    <para>Install the package:</para>
+
+<screen><userinput>make install</userinput></screen>
+
+  </sect2>
+
+<!--
+  <sect2 id="contents-udev-rules" role="content">
+    <title>Contents of Udev Rules</title>
+
+    <segmentedlist>
+      <segtitle>Installed Rules</segtitle>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Bootscripts</segtitle>
+
+      <seglistitem>
+        <seg>05-udev-early.rules, 35-helper.rules, 40-modprobe.rules,
+	50-udev.rules, 55-sound.rules, 60-persistent-disk.rules,
+	61-persistent-input.rules, 90-user.rules, 95-debug.rules,
+	load_floppy_module.sh, show_event_log, udev, and udev_retry</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="05-udev-early.rules-udev-rules">
+        <term><command>05-udev-early.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 05-udev-early.rules-udev-rules">
+            <primary sortas="d-05-udev-early.rules">05-udev-early.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="35-helper.rules-udev-rules">
+        <term><command>35-helper.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 35-helper.rules-udev-rules">
+            <primary sortas="d-35-helper.rules">35-helper.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="40-modprobe.rules">
+        <term><command>40-modprobe.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 40-modprobe.rules">
+            <primary sortas="d-40-modprobe.rules">40-modprobe.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="50-udev.rules">
+        <term><command>50-udev.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 50-udev.rules">
+            <primary sortas="d-50-udev.rules">50-udev.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="55-sound.rules">
+        <term><command>55-sound.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 55-sound.rules">
+            <primary sortas="d-55-sound.rules">55-sound.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="60-persistent-disk.rules">
+        <term><command>60-persistent-disk.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 60-persistent-disk.rules">
+            <primary sortas="d-60-persistent-disk.rules">60-persistent-disk.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="61-persistent-input.rules">
+        <term><command>61-persistent-input.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 61-persistent-input.rules">
+            <primary sortas="d-61-persistent-input.rules">61-persistent-input.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="90-user.rules">
+        <term><command>90-user.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 90-user.rules">
+            <primary sortas="d-90-user.rules">90-user.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="95-debug.rules">
+        <term><command>95-debug.rules</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules 95-debug.rules">
+            <primary sortas="d-95-debug.rules">95-debug.rules</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="load_floppy_module.sh">
+        <term><command>load_floppy_module.sh</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules load_floppy_module.sh">
+            <primary sortas="d-load_floppy_module.sh">load_floppy_module.sh</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="show_event_log">
+        <term><command>show_event_log</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules show_event_log">
+            <primary sortas="d-show_event_log">show_event_log</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="udev">
+        <term><command>udev</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules udev">
+            <primary sortas="d-udev">udev</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="udev_retry">
+        <term><command>udev_retry</command></term>
+        <listitem>
+          <para>To be Written.</para>
+          <indexterm zone="ch-scripts-udev-rules udev_retry">
+            <primary sortas="d-udev_retry">udev_retry</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+-->
+</sect1>
Index: bootscripts/mips-chapter.xml
===================================================================
--- bootscripts/mips-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/mips-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/mips64-chapter.xml
===================================================================
--- bootscripts/mips64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/mips64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/ppc-chapter.xml
===================================================================
--- bootscripts/ppc-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/ppc-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/ppc64-chapter.xml
===================================================================
--- bootscripts/ppc64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/ppc64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/sparc-chapter.xml
===================================================================
--- bootscripts/sparc-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/sparc-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/sparc64-chapter.xml
===================================================================
--- bootscripts/sparc64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/sparc64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/x86-chapter.xml
===================================================================
--- bootscripts/x86-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/x86-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: bootscripts/x86_64-chapter.xml
===================================================================
--- bootscripts/x86_64-chapter.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ bootscripts/x86_64-chapter.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -14,4 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ introduction/common/changelog.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -52,4 +52,7 @@
           <para>[jim] - Removal of old udev rules.</para>
         </listitem>
+        <listitem>
+          <para>[jim] - Added Udev-Cross-LFS 0.1.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: materials/common/packages.xml
===================================================================
--- materials/common/packages.xml	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ materials/common/packages.xml	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -398,4 +398,11 @@
     </varlistentry>
 
+    <varlistentry os="bc">
+      <term>Udev Cross-LFS Rules (&udev-cross-lfs-version;) - &udev-cross-lfs-size;:</term>
+      <listitem>
+        <para><ulink url="&udev-cross-lfs-url;"/></para>
+      </listitem>
+    </varlistentry>
+
     <varlistentry os="bd">
       <term>Util-linux (&util-linux-version;) - &util-linux-size;:</term>
Index: packages.ent
===================================================================
--- packages.ent	(revision f8e7b64ed793fec28b94f5bf06ea6d2d57093a65)
+++ packages.ent	(revision 71caa7728a44a915816f575dcd7bb2d4e22012c0)
@@ -267,4 +267,8 @@
 <!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
 
+<!ENTITY udev-cross-lfs-version "0.1">
+<!ENTITY udev-cross-lfs-size "10 KB">
+<!ENTITY udev-cross-lfs-url "http://ftp.jg555.com/udev/udev-cross-lfs-&udev-version;.tar.bz2">
+
 <!ENTITY util-linux-version "2.12r">
 <!ENTITY util-linux-size "1.4 MB">