Index: BOOK/final-system/common/acl.xml
===================================================================
--- BOOK/final-system/common/acl.xml	(revision bb525acec6d2e30a7d36581671b72c4979ad2f84)
+++ BOOK/final-system/common/acl.xml	(revision 72d6a1b070122b57554075d13ae42e2ff9f5563d)
@@ -25,27 +25,40 @@
     <title>Installation of ACL</title>
 
-    <para os="a">Prepare ACL for compilation:</para>
+    <para os="a">Apply a sed to install the documentation with a versioned
+    directory:</para>
 
-<screen os="b"><userinput>./configure --prefix=/usr --libexecdir=/usr/lib</userinput></screen>
+<screen os="b"><userinput>sed -i -e 's|/@pkg_name@|&amp;-@pkg_version@|' include/builddefs.in</userinput></screen>
 
-    <para os="c">Compile the package:</para>
+    <para os="c">Apply a sed to fix a few tests:</para>
 
-<screen os="d"><userinput>make</userinput></screen>
+<screen os="d"><userinput>sed -i "s:| sed.*::g" test/{sbits-restore,cp,misc}.test</userinput></screen>
+ 
+    <para os="e">Prepare ACL for compilation:</para>
 
-    <para os="e">This package does not come with a test suite.</para>
+<screen os="f"><userinput>./configure --prefix=/usr --libexecdir=/usr/lib</userinput></screen>
 
-    <para os="f">Install the package:</para>
+    <para os="g">Compile the package:</para>
 
-<screen os="g"><userinput>make install install-dev install-lib</userinput></screen>
+<screen os="h"><userinput>make</userinput></screen>
 
-    <para os="h">Move the shared library to <filename class="directory">/lib</filename>
+    <para os="i">The Acl tests need a filesystem which supports access controls
+    after Coreutils has been built with the Acl libraries. Return to this
+    section after Coreutils has been installed. Test the results:</para>
+
+<screen os="j"><userinput remap="test">make tests</userinput></screen>
+
+    <para os="k">Install the package:</para>
+
+<screen os="l"><userinput>make install install-dev install-lib</userinput></screen>
+
+    <para os="m">Move the shared library to <filename class="directory">/lib</filename>
     and recreate the symlink in <filename class="directory">/usr/lib</filename>:</para>
 
-<screen os="i"><userinput>mv -v /usr/lib/libacl.so.* /lib
+<screen os="n"><userinput>mv -v /usr/lib/libacl.so.* /lib
 ln -sfv ../../lib/libacl.so.1 /usr/lib/libacl.so</userinput></screen>
 
-    <para os="j">Set the proper permissions on the shared library:</para>
+    <para os="o">Set the proper permissions on the shared library:</para>
 
-<screen os="k"><userinput>chmod 755 -v /lib/libacl.so.1.1.0</userinput></screen>
+<screen os="p"><userinput>chmod 755 -v /lib/libacl.so.1.1.0</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/multilib/acl-64bit.xml
===================================================================
--- BOOK/final-system/multilib/acl-64bit.xml	(revision bb525acec6d2e30a7d36581671b72c4979ad2f84)
+++ BOOK/final-system/multilib/acl-64bit.xml	(revision 72d6a1b070122b57554075d13ae42e2ff9f5563d)
@@ -23,41 +23,63 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure \
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='b'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='c'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='d'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='e'])"/>
+ 
+<screen os="f"><userinput>CC="gcc ${BUILD64}" ./configure \
     --prefix=/usr --libdir=/lib64 \
     --libexecdir=/usr/lib64</userinput></screen>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='g'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='h'])"/>
+
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='i'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='j'])"/>
+
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='k'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='l'])"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
+    <para os="m">Recreate the symlink in <filename class="directory">/usr/lib64
+    </filename> and remove the shared link from <filename class="directory">
+    /lib64</filename>:</para>
 
-    <para os="h">Recreate the symlink in <filename class="directory">/usr/lib64</filename> and remove the shared link from <filename class="directory">/lib64</filename>:</para>
-
-<screen os="i"><userinput>ln -sfv ../../lib64/$(readlink /lib64/libacl.so) /usr/lib64/libacl.so
+<screen os="n"><userinput>ln -sfv ../../lib64/$(readlink /lib64/libacl.so) /usr/lib64/libacl.so
 rm -v /lib64/libacl.so</userinput></screen>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='o'])"/>
 
-<screen os="k"><userinput>chmod 755 -v /lib64/libacl.so.1.1.0</userinput></screen>
+<screen os="p"><userinput>chmod 755 -v /lib64/libacl.so.1.1.0</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/multilib/acl-n32.xml
===================================================================
--- BOOK/final-system/multilib/acl-n32.xml	(revision bb525acec6d2e30a7d36581671b72c4979ad2f84)
+++ BOOK/final-system/multilib/acl-n32.xml	(revision 72d6a1b070122b57554075d13ae42e2ff9f5563d)
@@ -27,7 +27,7 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILDN32}" ./configure \
-    --prefix=/usr --libdir=/lib32 \
-    --libexecdir=/usr/lib32</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -43,16 +43,19 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+<screen os="f"><userinput>CC="gcc ${BUILDN32}" ./configure \
+    --prefix=/usr --libdir=/lib32 \
+    --libexecdir=/usr/lib32</userinput></screen>
+
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+    xpointer="xpointer(//*[@os='g'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <para os="h">Recreate the symlink in <filename class="directory">/usr/lib32</filename> and remove the shared link from <filename class="directory">/lib32</filename>:</para>
-
-<screen os="i"><userinput>ln -sfv ../../lib32/$(readlink /lib32/libacl.so) /usr/lib32/libacl.so
-rm -v /lib32/libacl.so</userinput></screen>
+    xpointer="xpointer(//*[@os='h'])"/>
+ 
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -60,5 +63,24 @@
     xpointer="xpointer(//*[@os='j'])"/>
 
-<screen os="k"><userinput>chmod 755 -v /lib32/libacl.so.1.1.0</userinput></screen>
+ <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <para os="m">Recreate the symlink in <filename class="directory">/usr/lib32
+    </filename> and remove the shared link from <filename class="directory">
+    /lib32</filename>:</para>
+
+<screen os="n"><userinput>ln -sfv ../../lib32/$(readlink /lib32/libacl.so) /usr/lib32/libacl.so
+rm -v /lib32/libacl.so</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='o'])"/>
+
+<screen os="p"><userinput>chmod 755 -v /lib32/libacl.so.1.1.0</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/multilib/acl.xml
===================================================================
--- BOOK/final-system/multilib/acl.xml	(revision bb525acec6d2e30a7d36581671b72c4979ad2f84)
+++ BOOK/final-system/multilib/acl.xml	(revision 72d6a1b070122b57554075d13ae42e2ff9f5563d)
@@ -24,41 +24,66 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD32}" ./configure \
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='b'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='c'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='d'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='e'])"/>
+
+<screen os="f"><userinput>CC="gcc ${BUILD32}" ./configure \
     --prefix=/usr --libdir=/lib \
     --libexecdir=/usr/lib</userinput></screen>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='g'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='h'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='i'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='j'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <para os="h">Recreate the symlink in <filename class="directory">/usr/lib</filename> and remove the shared link from <filename class="directory">/lib</filename>:</para>
-
-<screen os="i"><userinput>ln -sfv ../../lib/$(readlink /lib/libacl.so) /usr/lib/libacl.so
-rm -v /lib/libacl.so</userinput></screen>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='k'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/acl.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='l'])"/>
 
-<screen os="k"><userinput>chmod 755 -v /lib/libacl.so.1.1.0</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='m'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='n'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='o'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@os='p'])"/>
 
   </sect2>