Index: BOOK/appendices/ppc/macmiscellany.xml
===================================================================
--- BOOK/appendices/ppc/macmiscellany.xml	(revision b708a6c12a932588e7a7690b9b4194f02f479a5e)
+++ BOOK/appendices/ppc/macmiscellany.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -44,5 +44,5 @@
 	machines are unlikely to be able to read or write to macintosh partitions
 	(in particular, fdisk does not understand them). The format allows a large
-	number of individual partitions, and the native Mac tools have a tendency
+	number of individual partitions, and the native Mac tools had a tendency
 	to insert small "filler" partitions between the real partitions. Under
 	linux, using more than 15 partitions can be problematic (shortage of device
@@ -51,9 +51,12 @@
 	Mac OS partition(s) after it and (re-)install the Mac OS.  The
 	freespace can then be partitioned using <command>parted</command> or the
-	older <command>mac-fdisk</command>.</para>
+	older <command>mac-fdisk</command>.  It seems that recent versions of the
+	Mac tools may no longer insert the filler partitions, so it may be
+	possible to do all the partitioning before installing OSX.</para>
 
 	<warning>
-	<para>The Macintosh resizing and partitioning tools are destructive and will
-	delete all data when a partition is resized.</para>
+	<para>The Macintosh resizing and partitioning tools are destructive and may
+	delete all data when a partition is resized, even on unaltered partitions.
+	</para>
 	</warning>
 
@@ -66,9 +69,15 @@
 	are as normal (at least one rootfs, perhaps swap, perhaps others).</para>
 
-	<para>If you follow this advice, partition 1 will be the apple partition
+	<para>According to the lfs-from-osx hint, the Mac partitioning tools
+	can create an apple_bootstrap partition and therefore there is no need
+	to use a Linux CD to create the desired partitions from freespace, but
+	using a Linux CD to create the partitions is a more widely tested approach.
+	</para>
+
+	<para>If you follow this approach, partition 1 will be the apple partition
 	map, partition 2 will be the bootstrap at the start of the disk, the
 	linux partitions will follow, and then the mac partition(s) - under OSX
 	the first mac partition will be number 3, under OS9 it would have a higher
-	number.</para>
+	number and there would be some apple driver partitions.</para>
       </listitem>
     </varlistentry>
Index: BOOK/boot/ppc/hfsutils.xml
===================================================================
--- BOOK/boot/ppc/hfsutils.xml	(revision b708a6c12a932588e7a7690b9b4194f02f479a5e)
+++ BOOK/boot/ppc/hfsutils.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -22,4 +22,9 @@
   <sect2 role="installation">
     <title>Installation of Hfsutils</title>
+
+    <para>If you have created, or will create, the ext2 filesystem on your
+    Mac using ext2fsx you can jump ahead to
+    <xref linkend="ch-boot-yaboot-build" role="."/>. The next three packages
+    are for people who cannot do that.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/ppc/yaboot.xml
===================================================================
--- BOOK/boot/ppc/yaboot.xml	(revision b708a6c12a932588e7a7690b9b4194f02f479a5e)
+++ BOOK/boot/ppc/yaboot.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -16,5 +16,61 @@
   </indexterm>
 
-  <para>This is a place holder for yaboot</para>
+  <para os="a">Some of the idiosyncracies of booting on ppc are discussed in
+   <xref linkend="appendixe" role="."/>. Essentially, there are two options
+   here - either copy the bootloader to an  OSX root partition and boot from
+   Open Firmware, or use an install, Live, or rescue CD to set up a bootstrap
+   partition.</para>
+
+  <sect2 role=".">
+    <title>Copying the bootloader to OSX and booting from OF.</title>
+
+    <para os="b">You must now ensure that <filename>/tools/etc/yaboot.conf</filename>
+    contains the correct details for the CLFS system.  Consult
+    <xref linkend="ch-bootable-yaboot" role="."/> for details, but note that
+    at this point you do not need the <literal>install, magicboot, enablecdboot
+    </literal>or <literal>macosx</literal> parameters because these are not
+    available when you boot from Open Firmware.</para>
+
+    <para os="c">By this stage, you should have the temporary system on an ext2
+    filesystem on your Mac.  Now, from within OSX, copy
+    <filename>/tools/lib/yaboot/yaboot</filename>) and
+    <filename>/tools/etc/yaboot.conf</filename>) to the OSX <filename>/</filename>
+    directory.</para>
+
+   <para os="d">Each time you want to boot into the temporary system, hold down
+   the option-command-o-f keys to get to Open Firmware, then use the following
+   command, replacing <literal>X</literal> with the number of the partition
+   containing the <emphasis>OSX</emphasis> root filesystem (typically, this
+   will be '3').</para>
+
+<screen os="e" role="nodump"><userinput>boot hd:X,yaboot</userinput></screen>
+
+  </sect2>
+
+  <sect2 role=".">
+    <title>Using a CD to set up the bootstrap partition.</title>
+
+    <para os="f">This is particularly appropriate if you cannot write to an
+    ext2 filesystem from OSX. Boot from the CD, and (as necessary) create
+    partitions and filesystems, mount the CLFS partition at
+    <filename>/tools</filename>  and untar the temporary system there.</para>
+
+    <para os="g">Now set up <filename>/tools/etc/yaboot.conf</filename> - see
+    <xref linkend="ch-bootable-yaboot" role="."/> for details of what should be
+    in it, but note that the <emphasis>install</emphasis> and <emphasis>magicboot
+    </emphasis>specifications should point to<filename>/tools/lib/yaboot/</filename>
+    and <emphasis>not</emphasis> <filename>/usr/lib/yaboot</filename>.</para>
+
+    <para os="h">To write the bootloader to the disk, with <filename>/tools/sbin
+   </filename>first on your path and <filename>/proc</filename> mounted, run the
+   following command:</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../bootable/ppc/yaboot.xml"
+    xpointer="xpointer(//*[@os='r'])"/>
+
+<screen os="j" role="nodump"><userinput>ybin -v -C /tools/etc/yaboot.conf</userinput></screen>
+
+  </sect2>
 
 </sect1>
Index: BOOK/bootable/ppc/yaboot.xml
===================================================================
--- BOOK/bootable/ppc/yaboot.xml	(revision b708a6c12a932588e7a7690b9b4194f02f479a5e)
+++ BOOK/bootable/ppc/yaboot.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -31,8 +31,10 @@
   it.  This is all handled by <command>ybin</command> the yaboot installer.</para>
 
-  <para os="d">Ybin assembles all the information it needs by reading yaboot.conf,
-  then writes the bootstrap. When booted, the bootstrap provides an initial menu to
-  choose between linux, boot from CD, and e.g. osx (depending on what was in yaboot.conf).
-  If you boot to 'linux', yaboot kicks in and lets you select which kernel to use.</para>
+  <para os="d">Ybin writes an optional 'OS selector' menu into Open Firmware,
+  then writes yaboot and yaboot.conf to the bootstrap partition, blesses this,
+  and updates the boot device recorded in nvram. When booted, the OF provides
+  the initial menu to choose between linux, boot from CD, and e.g. OSX
+  (depending on what was in yaboot.conf). If you boot to 'linux', yaboot is
+  executed and lets you select which kernel to use.</para>
 
   <para os="e">Images (kernels) are specified, together with any necessary path,
@@ -44,10 +46,4 @@
   full OF path to the device, obtained by running <command>ofpath /dev/hdX</command>
   .</para>
-
-  <para os="f">Note that the man page mentions which filesystems yaboot can
-  navigate to find the images - the only linux filesystem type mentioned is ext2.
-  You can use ext3 because that can be read like ext2, but if you wish to use
-  reiserfs or any other filesystem you may need to create a separate boot partition
-  formatted as ext2.</para>
 
   <para os="h">Using the above information, determine the appropriate designators
@@ -136,6 +132,7 @@
 
   <warning os="r">
-    <para>The following command will overwrite the current boot loader.
-    Do not run the command if this is not desired.</para>
+    <para>The following command will update the bootstrap partition and the
+    boot variable in Open Firmware. Do not run the command if this is not
+    desired.</para>
   </warning>
 
Index: BOOK/introduction/ppc/changelog.xml
===================================================================
--- BOOK/introduction/ppc/changelog.xml	(revision b708a6c12a932588e7a7690b9b4194f02f479a5e)
+++ BOOK/introduction/ppc/changelog.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -33,4 +33,18 @@
 
 -->
+
+    <listitem>
+      <para>June 9, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Some tidying of the additions to 'boot', corrections
+	  to partitioning, tidying and correcting the final instructions for
+	  making it bootable, and add instructions to boot the temporary system,
+	  either from OF via OSX, or using a CD to install the bootstrap. The
+	  instructions to boot from OF use an idea from Martin Schaffner's
+          lfs-from-osx hint.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/partitioning/ppc-chapter.xml
===================================================================
--- BOOK/partitioning/ppc-chapter.xml	(revision b708a6c12a932588e7a7690b9b4194f02f479a5e)
+++ BOOK/partitioning/ppc-chapter.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/creatingpartition.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/creatingpartition.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/creatingfilesystem.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mounting.xml"/>
Index: BOOK/partitioning/ppc/creatingpartition.xml
===================================================================
--- BOOK/partitioning/ppc/creatingpartition.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
+++ BOOK/partitioning/ppc/creatingpartition.xml	(revision 073fae855d38ba855fc779e766176f4d9fa4444c)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-partitioning-creatingpartition">
+  <?dbhtml filename="creatingpartition.html"?>
+
+  <title>Creating a New Partition</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/creatingpartition.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/creatingpartition.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/creatingpartition.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+  <para os="c1">Open Firmware and the Mac OS's impose certain requirements on
+  partitioning.  This is discussed in <xref linkend="appendixe" role="."/>.
+  In particular, you cannot use <command>fdisk</command>, you will need an
+  <literal>apple_bootstrap</literal> partition, and that should precede any
+  OSX partition.</para>
+
+  <para os="d">Start a disk partitioning program such as <command>parted</command>
+  with a command line option naming the hard
+  disk on which the new partition will be created&mdash;for example
+  <filename class="devicefile">/dev/hda</filename> for the primary
+  Integrated Drive Electronics (IDE) disk. Create at least an apple bootstrap
+  partition, a Linux native partition, and a swap partition, if needed. Please
+  refer to <filename>parted(8)</filename> if you do not yet know how to use the
+  programs.</para>
+
+  <para os="e">Remember the designation of the new partition (e.g.,
+  <filename class="devicefile">hda5</filename>). This book will refer to
+  this as the CLFS partition. Also remember the designation of the swap
+  partition. These names will be needed later for the
+  <filename>/etc/fstab</filename> file. You will also need to know the
+  designation of the apple_bootstrap partition for the <filename>yaboot.conf
+  </filename> when you set this up before you run <command>ybin</command>.</para>
+
+</sect1>