Index: BOOK/cross-tools/64/binutils.xml
===================================================================
--- BOOK/cross-tools/64/binutils.xml	(revision 45683dccac5d991645a02646aaeaef7f5e07e7ab)
+++ BOOK/cross-tools/64/binutils.xml	(revision 75d34e0d0997bccd7ada1fee9a60b44f4cde709c)
@@ -47,7 +47,7 @@
     xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="ca"><userinput>../binutils-&binutils-version;/configure --prefix=/cross-tools \
-   --host=${CLFS_HOST} --target=${CLFS_TARGET} --with-lib-path=/tools/lib \
-   --disable-nls --enable-shared --enable-64-bit-bfd --disable-multilib</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/binutils.xml"
+    xpointer="xpointer(//*[@os='bc'])"/>
 
     <variablelist os="bd">
Index: BOOK/cross-tools/common/binutils.xml
===================================================================
--- BOOK/cross-tools/common/binutils.xml	(revision 45683dccac5d991645a02646aaeaef7f5e07e7ab)
+++ BOOK/cross-tools/common/binutils.xml	(revision 75d34e0d0997bccd7ada1fee9a60b44f4cde709c)
@@ -45,7 +45,8 @@
     xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="bc"><userinput>../binutils-&binutils-version;/configure --prefix=/cross-tools \
-    --host=${CLFS_HOST} --target=${CLFS_TARGET} --with-lib-path=/tools/lib \
-    --disable-nls --enable-shared --disable-multilib</userinput></screen>
+<screen os="bc"><userinput>../binutils-&binutils-version;/configure \
+    --prefix=${CLFS}/cross-tools --with-sysroot=${CLFS} --host=${CLFS_HOST} \
+    --target=${CLFS_TARGET} --disable-nls --enable-shared \
+    --enable-64-bit-bfd --disable-multilib</userinput></screen>
 
     <variablelist os="bd">
@@ -53,8 +54,8 @@
 
       <varlistentry os="bd1">
-        <term><parameter>--prefix=/cross-tools</parameter></term>
+        <term><parameter>--prefix=${CLFS}/cross-tools</parameter></term>
         <listitem>
           <para>This tells the configure script to prepare to install the
-          package in the <filename class="directory">/cross-tools</filename>
+          package in the <filename class="directory">${CLFS}/cross-tools</filename>
           directory.</para>
         </listitem>
@@ -62,4 +63,14 @@
 
       <varlistentry os="bd2">
+        <term><parameter>--with-sysroot=${CLFS}</parameter></term>
+        <listitem>
+          <para>This tells configure that 
+	  <filename class="directory">${CLFS}</filename> is going to be
+          the root of our system. It will now use the specified sysroot,
+          <filename class="directory">${CLFS}</filename>.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry os="bd3">
         <term><parameter>--host=${CLFS_HOST}</parameter></term>
         <listitem>
@@ -69,20 +80,9 @@
       </varlistentry>
 
-      <varlistentry os="bd3">
+      <varlistentry os="bd4">
         <term><parameter>--target=${CLFS_TARGET}</parameter></term>
         <listitem>
           <para>When used with --host, this creates a cross-architecture
           executable that creates files for ${CLFS_TARGET} but runs on ${CLFS_HOST}.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry os="bd4">
-        <term><parameter>--with-lib-path=/tools/lib</parameter></term>
-        <listitem>
-          <para>This tells the configure script to specify the library
-          search path during the compilation of Binutils, resulting in
-          <filename class="directory">/tools/lib</filename> being passed
-          to the linker. This prevents the linker from searching through
-          library directories on the host.</para>
         </listitem>
       </varlistentry>
@@ -136,7 +136,7 @@
 
     <para os="bj">Copy <filename class="headerfile">libiberty.h</filename> to
-    <filename class="directory">/tools/include</filename> directory:</para>
+    <filename class="directory">${CLFS}/tools/include</filename> directory:</para>
 
-<screen os="bk"><userinput>cp -v ../binutils-&binutils-version;/include/libiberty.h /tools/include</userinput></screen>
+<screen os="bk"><userinput>cp -v ../binutils-&binutils-version;/include/libiberty.h ${CLFS}/tools/include</userinput></screen>
 
   </sect2>
Index: BOOK/cross-tools/multilib/binutils.xml
===================================================================
--- BOOK/cross-tools/multilib/binutils.xml	(revision 45683dccac5d991645a02646aaeaef7f5e07e7ab)
+++ BOOK/cross-tools/multilib/binutils.xml	(revision 75d34e0d0997bccd7ada1fee9a60b44f4cde709c)
@@ -55,7 +55,8 @@
     xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="bc"><userinput>../binutils-&binutils-version;/configure --prefix=/cross-tools \
-   --host=${CLFS_HOST} --target=${CLFS_TARGET} --with-lib-path=/tools/lib \
-   --disable-nls --enable-shared --enable-64-bit-bfd</userinput></screen>
+<screen os="bc"><userinput>../binutils-&binutils-version;/configure \
+    --prefix=${CLFS}/cross-tools --with-sysroot=${CLFS} --host=${CLFS_HOST} \
+    --target=${CLFS_TARGET} --disable-nls --enable-shared \
+    --enable-64-bit-bfd</userinput></screen>
 
     <variablelist os="bd">